import static org.junit.Assert.*;

import java.util.ArrayList;
import java.util.List;
import org.junit.Test;

public class ShoppingCartImplTest {

	ShoppingCartImpl shopCart = new ShoppingCartImpl();
	
	@Test
	public void testGetPrice() {
		
		
		/*
		 * Test case 1: 
		 * −	2 x   Harry Potter Teil 1
		 * −	2 x   Harry Potter Teil 2
		 * −	2 x   Harry Potter Teil 3
		 * −	1 x   Harry Potter Teil 4
		 * −	1 x   Harry Potter Teil 5
		 * 
		 * Price = 51.60 EUR
		 */
		List<Book> bookList = new ArrayList<Book>();
		BookSeries bookSeriesHP = new BookSeriesImpl( "Harry Potter" );
		bookList.add( new BookImpl( "Harry Potter Teil 1", bookSeriesHP ) );
		bookList.add( new BookImpl( "Harry Potter Teil 1", bookSeriesHP ) );
		bookList.add( new BookImpl( "Harry Potter Teil 2", bookSeriesHP ) );
		bookList.add( new BookImpl( "Harry Potter Teil 2", bookSeriesHP ) );
		bookList.add( new BookImpl( "Harry Potter Teil 3", bookSeriesHP ) );
		bookList.add( new BookImpl( "Harry Potter Teil 3", bookSeriesHP ) );
		bookList.add( new BookImpl( "Harry Potter Teil 4", bookSeriesHP ) );
		bookList.add( new BookImpl( "Harry Potter Teil 5", bookSeriesHP ) );
		
		shopCart.setBookList( bookList );

		assertEquals("Failure - Price of shopping cart is incorrect.", 48, shopCart.getPrice(), 0);
		
		
		/*
		 * Test case 2:
		 * ...
		 */ 

	}
	
	
}
